# Vncserver service file for Debian or Ubuntu with systemd
#
#  Install vncserver and tools
#  e.g. apt install tightvncserver autocutsel gksu
#
# 1. Copy this file to /etc/systemd/system/vncserver@:1.service
# 2. Edit User=
#    e.g "User=paul"
# 3. Edit the vncserver parameters appropriately in the ExecStart= line!
#    e.g. the -localhost option only allows connections from localhost (or via ssh tunnels)
# 4. Run `systemctl daemon-reload`
# 5. Run `systemctl enable vncserver@:<display>.service`
#

[Unit]
Description=Remote desktop service (VNC)
After=syslog.target network.target

[Service]
Type=forking
User={{ vnc_server_user }}

# Clean any existing files in /tmp/.X11-unix environment
ExecStartPre=/bin/sh -c '/usr/bin/{{ vnc_server_package_name }} -kill %i > /dev/null 2>&1 || :'
ExecStart=/usr/bin/{{ vnc_server_package_name }} -geometry {{ vnc_default_geometry_width }}x{{ vnc_default_geometry_height }} -depth 16 -dpi {{ vnc_server_dpi }} -alwaysshared -rfbport {{ vnc_server_port }} -rfbauth /home/{{ vnc_server_user }}/.vnc/passwd
ExecStop=/usr/bin/vncserver -kill %i

[Install]
WantedBy=multi-user.target